al_wait_for_event_timed(3)

NAME

al_wait_for_event_timed - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_wait_for_event_timed(ALLEGRO_EVENT_QUEUE *queue,
       ALLEGRO_EVENT *ret_event, float secs)

DESCRIPTION

Wait until the event queue specified is non-empty. If ret_event is not NULL, the first event in the queue will be copied into ret_event and removed from the queue. If ret_event is NULL the first event is left at the head of the queue.

secs determines approximately how many seconds to wait. If the call times out, false is returned. Otherwise, if an event ocurred, true is returned.

For compatibility with all platforms, secs must be 2,147,483.647 seconds or less.

SEE ALSO

ALLEGRO_EVENT(3), al_wait_for_event(3), al_wait_for_event_until(3)